org.apache.ignite.plugin.security

## Interface SecurityPermissionSet

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  SecurityBasicPermissionSet

    public interface SecurityPermissionSet
    extends Serializable

Security permission set for authorized security subjects. Permission set allows to specify task permissions for every task and cache permissions for every cache. While cards are supported at the end of task or cache name.

Property `defaultAllowAll()` specifies whether to allow or deny cache and task operations if they were not explicitly specified.

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<String,Collection<SecurityPermission>>` `cachePermissions()` Map of cache names to cache permissions.
`boolean` `defaultAllowAll()` Flag indicating whether to allow or deny cache and task operations if they were not explicitly specified.
`Map<String,Collection<SecurityPermission>>` `servicePermissions()` Map of service names to service permissions.
`@Nullable Collection<SecurityPermission>` `systemPermissions()` Collection of system-wide permissions (events enable/disable, Visor task execution).
`Map<String,Collection<SecurityPermission>>` `taskPermissions()` Map of task names to task permissions.

### Method Detail

#### defaultAllowAll

    boolean defaultAllowAll()

Flag indicating whether to allow or deny cache and task operations if they were not explicitly specified.

Returns:
  `True` to allow all cache task operations if they were not explicitly specified, `false` otherwise.

#### taskPermissions

    Map<String,Collection<SecurityPermission>> taskPermissions()

Map of task names to task permissions. Wildcards are allowed at the end of task names.

Returns:
  Map of task names to task permissions.

#### cachePermissions

    Map<String,Collection<SecurityPermission>> cachePermissions()

Map of cache names to cache permissions. Wildcards are allowed at the end of cache names.

Returns:
  Map of cache names to cache permissions.

#### servicePermissions

    Map<String,Collection<SecurityPermission>> servicePermissions()

Map of service names to service permissions. Wildcards are allowed at the end of service names.

Returns:
  Map of service names to service permissions.

#### systemPermissions

    @Nullable
    @Nullable Collection<SecurityPermission> systemPermissions()

Collection of system-wide permissions (events enable/disable, Visor task execution).

Returns:
  Collection of system-wide permissions.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023